extends Control

enum {
    STATE_DETACHED,
    STATE_ATTACHED,
}

var _state := STATE_DETACHED

onready var n_Shell = Shell.get_shell(self)

export var title: String
export var closable: bool

func _ready() -> void:
    $VBoxContainer/Bar/HBoxContainer/Title.text = title

    var child = get_children()[-1]
    remove_child(child)
    $VBoxContainer/ScrollableConent.add_child(child)
    rect_size = child.rect_size
